Create a holder application
Roles
Analytics Events
/v1/holder/applicationsCreates a holder application. Once created, application instances can be registered and interact with the MATTR VII platform (for example, to claim credentials).
Analytic events
- CREDENTIAL_HOLDER_APPLICATION_CREATE_START
- CREDENTIAL_HOLDER_APPLICATION_CREATE_SUCCESS
- CREDENTIAL_HOLDER_APPLICATION_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Holder application payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/holder/applications" \ -H "Content-Type: application/json" \ -d '{ "name": "My Holder Application", "clientId": "example-wallet-client", "type": "ios", "bundleId": "com.example-holder-ios-application", "teamId": "A2B3C4D5E6" }'{
"id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c",
"name": "Example Holder Application",
"clientId": "example-wallet-client",
"type": "ios",
"bundleId": "com.example-holder-ios-application",
"teamId": "A2B3C4D5E6",
"maxTimeOfflineInSecs": 86400,
"appAttest": {
"required": true,
"environment": "production"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete credential data DELETE
Deletes all stored data for an existing credential that matches the provided ID. If the credential is revocable, it will also be permanently revoked. <Callout> Removed credential data cannot be recovered. </Callout> ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_DELETE_START * CREDENTIAL_WEB_SEMANTIC_DELETE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_DELETE_FAIL
Retrieve all holder applications GET
Retrieves all configured holder applications. ### **Analytic events** * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_START * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_SUCCESS * CREDENTIAL_HOLDER_APPLICATION_RETRIEVE_LIST_FAIL